/**
 * amp视频播放器增加视频标题
 */

(function (mediaPlayer) {
    "use strict";

    mediaPlayer.plugin('continuePlay', function (options) {
        var player = this,
            contentTitleCssClass = "amp-continue-play",
            currentTime = options.time,
            currentNum = options.num;
        var Component = mediaPlayer.getComponent('Component');

        mediaPlayer.ContinuePlay = amp.extend(Component, {
            init: function (player, options) {
                Component.call(this, player, options);
            }
        });

        mediaPlayer.ContinuePlay.prototype.createEl = function () {
            var el = Component.prototype.createEl.call(this, 'div', {
                className: contentTitleCssClass
            });
            el.onload = function () {

            };
            var span1 = videojs.createEl('span', {
                className: "ContinuePlayTips"
            });
            var span2 = videojs.createEl('span', {
                className: "replaySpan"
            });

            span2.addEventListener("click", function (event) {
                player.currentTime(0);
                el.style.display = "none";
            });
            span1.innerText = '您上次看到' + currentTime +"，";
            span2.innerText = "重新播放";

            span1.appendChild(span2);
            el.appendChild(span1);

            return el;
        };

        player.ready(function () {
            var ContinuePlay = new mediaPlayer.ContinuePlay(player);
            player.contentTitle = player.addChild(ContinuePlay);
            setTimeout(function () {
                player.removeChild(ContinuePlay);
            }, 15000);
        });

    });
}(window.amp));
